%define module	zope.proxy
Summary:	Mostly-transparent wrappers around another object
Summary(pl.UTF-8):	Prawie przezroczyste obudowywanie innych obiektów
Name:		python-%{module}
Version:	3.4.2
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-%{version}.zip
# Source0-md5:	ad51f25d4d86be7cfebb70bd77421f92
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	unzip
%pyrequires_eq	python-modules
Requires:	python-zope.interface
Obsoletes:	Zope-Proxy
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proxies are special objects which serve as mostly-transparent wrappers
around another object, intervening in the apparent behavior of the
wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is
responsible.

%description -l pl.UTF-8
Proxy to specjalne obiekty służące jako prawie przezroczyste
obudowanie innego obiektu, wkraczające w zwykłe zachowanie
obudowywanego obiektu tylko w razie potrzeby, aby zastosować politykę
(np. kontrolę dostępu, pośredniczenie itp.), za którą odpowiada proxy.

%prep
%setup -q -n zope.proxy-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean
rm $RPM_BUILD_ROOT%{py_sitedir}/zope/proxy/*.[ch]
rm -r $RPM_BUILD_ROOT%{py_sitedir}/zope/proxy/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/zope/proxy
%{py_sitedir}/zope/proxy/*.cfg
%{py_sitedir}/zope/proxy/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/proxy/_zope_proxy_proxy.so
%{py_sitedir}/zope.proxy-*.egg-info
%{py_sitedir}/zope.proxy-*-nspkg.pth

# -devel?
#%{py_incdir}/zope.proxy
%changelog
* Tue Dec 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.proxy.git;a=log;h=master

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> a9bc96c
- Zope-Proxy renamed to python-zope.proxy

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e91df71
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d145681
- automatic change: use py_build/py_install macros

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> ecacf43
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b40072
- release 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> d209add
- BR: unzip

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 0273546
- use pypi uri
- ver. 3.4.2

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 577daae
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> cb65fed
- use optflags
- files cleanup, .so perms

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> ede1d7e
- pl
- python deps

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 16fa805
- fixed/add url

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 1378196
- fixed summary/description/group and install requirements
- rel. 1

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 1dd5fa5
- based on Zope-Testing.spec

